Summary: emi.fts.srm-util-cpp
Name: srm-util-cpp
Version: 
Release:
License: Apache Software License
Vendor: EMI
Group: System Environment/Libraries
BuildRequires: CGSI_gSOAP_2.7
BuildRequires: gsoap-devel
BuildRequires: log4cpp
BuildRequires: agents-common
BuildRequires: lcgutil-build-common-cpp
BuildRequires: glite-build-common-cpp
BuildRequires: srm2-api-c
BuildRequires: gridsite-devel
BuildRequires: cppunit
BuildRequires: boost-devel
BuildRequires: srm-api-c
BuildRequires: libtool
BuildRequires: CGSI-gSOAP-devel
BuildRequires: globus-gssapi-gsi-devel
BuildRequires: globus-gss-assist-devel
BuildRequires: openldap-devel
BuildRequires: libxslt
BuildRequires: libxml2-devel
BuildRequires: docbook-style-xsl
BuildRequires: doxygen
BuildRequires: log4cpp-devel
BuildRequires: cppunit-devel
BuildRequires: is-interface-devel
Requires: agents-common
Requires: boost
Requires: srm-api-c
Requires: log4cpp
Requires: srm2-api-c
BuildRoot: %{_builddir}/%{name}-root
AutoReqProv: yes
Source: %{name}-%{version}.tar.gz

%description
the gLite Data SRM Util CPP is a library that provides uniform access to the different versions of the SRM specfication. This package provides the C++ libraries to for SRM version 1.1 and 2.2.

%prep
 

%setup -c 

%build
mkdir -p src/autogen; aclocal -I /share/build/m4 -I /usr/share/emi/build/m4;  libtoolize --force; autoheader; automake --foreign --add-missing --copy; autoconf
./configure --prefix=%{buildroot}/usr  --with-prefixetc=%{buildroot}/etc  --mandir=%{buildroot}/share/man --with-version=%{version} --with-dist-location=%{buildroot}/usr --with-glite-location=/usr --with-cgsi-gsoap-location=/usr --with-gridsite-prefix=/usr --with-emi
 make all
  
  

%install
# libtool rpath issues
QA_SKIP_BUILD_ROOT=1; export QA_SKIP_BUILD_ROOT
rm -rf %{buildroot}
 mkdir -p %{buildroot}
 mkdir -p %{buildroot}/usr; make install
 find %{buildroot} -name '*.la' -exec rm -rf {} \;
 find %{buildroot} -name '*.pc' -exec sed -i -e "s|%{buildroot}||g" {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libglite_data_srm_util_cpp.so
%{_libdir}/libglite_data_srm_util_cpp_1_1.so.0
%{_libdir}/libglite_data_srm_util_cpp_2_2.a
%{_libdir}/libglite_data_srm_util_cpp_1_1.a
%{_libdir}/libglite_data_srm_util_cpp_2_2.so.0.0.0
%{_libdir}/libglite_data_srm_util_cpp_2_2.so
%{_libdir}/libglite_data_srm_util_cpp_1_1.so
%{_libdir}/libglite_data_srm_util_cpp.so.0.0.0
%{_libdir}/libglite_data_srm_util_cpp_2_2.so.0
%{_libdir}/libglite_data_srm_util_cpp_1_1.so.0.0.0
%{_libdir}/libglite_data_srm_util_cpp.a
%{_libdir}/libglite_data_srm_util_cpp.so.0
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/data/
%dir %{_includedir}/glite/data/srm/
%dir %{_includedir}/glite/data/srm/util/
%{_includedir}/glite/data/srm/util/SrmRm.h
%{_includedir}/glite/data/srm/util/SrmPing.h
%{_includedir}/glite/data/srm/util/SrmCopy.h
%{_includedir}/glite/data/srm/util/AbortFiles.h
%{_includedir}/glite/data/srm/util/PrepareToPut.h
%{_includedir}/glite/data/srm/util/SrmExceptions.h
%dir %{_includedir}/glite/data/srm/util/details/
%{_includedir}/glite/data/srm/util/details/IBackoffLogic.h
%{_includedir}/glite/data/srm/util/details/SynchRequest.h
%{_includedir}/glite/data/srm/util/details/RequestFactory.h
%{_includedir}/glite/data/srm/util/details/Request.h
%{_includedir}/glite/data/srm/util/details/AsynchRequest.h
%{_includedir}/glite/data/srm/util/details/FinalAsynch.h
%{_includedir}/glite/data/srm/util/details/Final.h
%{_includedir}/glite/data/srm/util/SrmMkDir.h
%{_includedir}/glite/data/srm/util/BringOnline.h
%{_includedir}/glite/data/srm/util/GetSpaceMetaData.h
%{_includedir}/glite/data/srm/util/SrmRmDir.h
%{_includedir}/glite/data/srm/util/gsoap-common.h
%{_includedir}/glite/data/srm/util/SrmLs.h
%{_includedir}/glite/data/srm/util/PrepareToGet.h
%{_includedir}/glite/data/srm/util/types.h
%{_includedir}/glite/data/srm/util/GetSpaceTokens.h
%{_includedir}/glite/data/srm/util/SrmStat.h
%{_includedir}/glite/data/srm/util/Context.h
%dir /etc/
/etc/glite-data-srm-util-cpp.patterns.xml
%dir %{_datadir}/test/
%dir %{_datadir}/test/glite-data-srm-util-cpp/
%dir %{_datadir}/test/glite-data-srm-util-cpp/config/
%{_datadir}/test/glite-data-srm-util-cpp/config/srm-util-stub-server-1.1.config-template.xml
%{_datadir}/test/glite-data-srm-util-cpp/config/srm-util-stub-server-2.2.config-template.xml
%dir %{_datadir}/test/glite-data-srm-util-cpp/bin/
%{_datadir}/test/glite-data-srm-util-cpp/bin/glite-data-srm-util-test
%dir %{_datadir}/test/glite-data-srm-util-cpp/lib/
%{_datadir}/test/glite-data-srm-util-cpp/lib/libglite_data_srm_util_test_stub_1_1.a
%{_datadir}/test/glite-data-srm-util-cpp/lib/libglite_data_srm_util_test_stub_2_2.a
%{_datadir}/test/glite-data-srm-util-cpp/lib/libglite_data_srm_util_test_stub_1_1.so.0
%{_datadir}/test/glite-data-srm-util-cpp/lib/libglite_data_srm_util_test_stub_1_1.so.0.0.0
%{_datadir}/test/glite-data-srm-util-cpp/lib/libglite_data_srm_util_test_stub_2_2.so
%{_datadir}/test/glite-data-srm-util-cpp/lib/libglite_data_srm_util_test_stub_2_2.so.0
%{_datadir}/test/glite-data-srm-util-cpp/lib/libglite_data_srm_util_test_stub_1_1.so
%{_datadir}/test/glite-data-srm-util-cpp/lib/libglite_data_srm_util_test_stub_2_2.so.0.0.0
%dir %{_defaultdocdir}/glite-data-srm-util-cpp/
%{_defaultdocdir}/glite-data-srm-util-cpp/RELEASE-NOTES
%{_defaultdocdir}/glite-data-srm-util-cpp/README.html
%dir %{_defaultdocdir}/glite-data-srm-util-cpp/html/
%{_defaultdocdir}/glite-data-srm-util-cpp/html/README.html
%{_defaultdocdir}/glite-data-srm-util-cpp/html/TEST.html
%{_defaultdocdir}/glite-data-srm-util-cpp/html/INSTALL.html
%{_defaultdocdir}/glite-data-srm-util-cpp/TEST.html
%{_defaultdocdir}/glite-data-srm-util-cpp/LICENSE
%{_defaultdocdir}/glite-data-srm-util-cpp/INSTALL.html
%dir %{_libexecdir}/
%{_libexecdir}/glite-srm-util-rm
%{_libexecdir}/glite-srm-util-getspacemetadata
%{_libexecdir}/glite-srm-util-getspacetokens
%{_libexecdir}/glite-srm-util-ls-status
%{_libexecdir}/glite-srm-util-copy-status
%{_libexecdir}/glite-srm-util-get-status
%{_libexecdir}/glite-srm-util-stat
%{_libexecdir}/glite-srm-util-abortfiles
%{_libexecdir}/glite-srm-util-bringonline
%{_libexecdir}/glite-srm-util-rmdir
%{_libexecdir}/glite-srm-util-mkdir
%{_libexecdir}/glite-srm-util-bringonline-abort
%{_libexecdir}/glite-srm-util-copy-abort
%{_libexecdir}/glite-srm-util-put-done
%{_libexecdir}/glite-srm-util-copy
%{_libexecdir}/glite-srm-util-ping
%{_libexecdir}/glite-srm-util-put
%{_libexecdir}/glite-srm-util-get
%{_libexecdir}/glite-srm-util-put-status
%{_libexecdir}/glite-srm-util-ls-abort
%{_libexecdir}/glite-srm-util-ls
%{_libexecdir}/glite-srm-util-bringonline-done
%{_libexecdir}/glite-srm-util-put-abort
%{_libexecdir}/glite-srm-util-copy-done
%{_libexecdir}/glite-srm-util-get-done
%{_libexecdir}/glite-srm-util-bringonline-status
%{_libexecdir}/glite-srm-util-get-abort

%changelog
 
